#ifndef __core__session_h
#define __core__session_h
#include "core/config.h"
#include <QElapsedTimer>

struct Session {
	public:
		Config config;
		Session() { timer.start(); }
		/* we literally *cannot* be lying to the user by doing this */
		void IncrementRequests() { requests++; };
		int GetRequests() { return requests; };
		int uptime() { return timer.elapsed(); }

	private:
		int requests = 0;
		QElapsedTimer timer;
};

extern Session session;

#endif // __core__session_h
